VNET(4)

NAME
vnet - virtual network interface

SYNOPSIS
vnet* at cbus?
vnet* at vsw?

DESCRIPTION
The vnet driver provides a network interface using the services provided by the UltraSPARC Hypervisor as found on sun4v systems. It connects to a virtual switch (vsw) device or virtual network (vnet) device in another logical domain using a logical domain channel provided by the hypervisor.

The vnet driver supports version 1.0 of the vNet protocol.

The vnet driver supports the following media types:

autoselect
    Enable autoselection of the media type and options. The driver always uses the fastest available speed and the media options provided by the underlying host of the virtual machine.

For more information on configuring this device, see ifconfig(8).

SEE ALSO
arp(4), cbus(4), ifmedia(4), intro(4), netintro(4), vsw(4), hostname.if(5), ifconfig(8)

HISTORY
The vnet driver first appeared in OpenBSD 4.5.

AUTHORS
The vnet driver was written by Mark Kettenis <kettenis@openbsd.org>.